#!/usr/bin/env node
"use strict";
/* eslint-disable no-console */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jiti_1 = __importDefault(require("jiti"));
const node_fs_1 = require("node:fs");
const node_path_1 = __importDefault(require("node:path"));
const helpers_1 = require("yargs/helpers");
const yargs_1 = __importDefault(require("yargs/yargs"));
const main = () => {
    const argv = (0, yargs_1.default)((0, helpers_1.hideBin)(process.argv))
        .command('$0 [turbowatch.ts]', 'Start Turbowatch', (commandYargs) => {
        commandYargs.positional('turbowatch.ts', {
            alias: 'source',
            default: 'turbowatch.ts',
            describe: 'Script with Turbowatch instructions.',
            type: 'string',
        });
    })
        .parseSync();
    const scriptPath = node_path_1.default.resolve(process.cwd(), argv.source);
    if (!(0, node_fs_1.existsSync)(scriptPath)) {
        console.error('%s not found', scriptPath);
        process.exitCode = 1;
        return;
    }
    (0, jiti_1.default)(__filename)(scriptPath);
};
main();
